Index: /liacs/TPFL2010/assignment3/Makefile
===================================================================
--- /liacs/TPFL2010/assignment3/Makefile	(revision 242)
+++ /liacs/TPFL2010/assignment3/Makefile	(revision 242)
@@ -0,0 +1,33 @@
+# Rick van der Zwet
+# 0433373
+# XXX Assignment XXX
+# Licence: BSD
+# $Id: Makefile 741 2009-08-05 19:26:23Z rick $
+
+include latex.mk
+
+CFLAGS+=-Wall -g
+PROGRAMS=XXX
+
+# Easy package solution
+PREFIX=0433373-hvdzwet
+SUFFIX=$(shell pwd -P | sed 's+.*/\(.*\)/\(.*\)+\1-\2+')
+ARCHIVE=${PREFIX}-${SUFFIX}.tar
+PACKAGE=report.pdf report.tex
+
+all: $(PROGRAMS)
+
+clean: doc-clean
+	rm -Rf $(PROGRAMS)
+
+distclean: doc-distclean
+
+debug:
+	@sh -c 'while [ "true" ]; do make clean && make && ./${PROGRAMS}; echo -n "Completed: "; date; sleep 5; done'
+
+ones: $(PROGRAMS)
+	@sh -c ./$(PROGRAMS)
+
+package: $(ARCHIVE)
+$(ARCHIVE): $(PACKAGE)
+	tar --exclude-vcs --xform s+^+${PREFIX}-${SUFFIX}/+ -cf ${ARCHIVE} ${PACKAGE}
Index: /liacs/TPFL2010/assignment3/latex.mk
===================================================================
--- /liacs/TPFL2010/assignment3/latex.mk	(revision 242)
+++ /liacs/TPFL2010/assignment3/latex.mk	(revision 242)
@@ -0,0 +1,74 @@
+# Rick van der Zwet <rick@wzoeterwoude.net>
+# Licence: BSD
+# Descrip: LaTex file parser
+# $Id: latex.mk 571 2008-04-20 17:31:04Z rick $
+
+TARGET = report
+LATEX = latex
+XDVI = xdvi -geometry +700+0
+TEX = latex -halt-on-error
+DVIPDF = dvipdf
+ASPELL = aspell
+ASPELL_ARGS = -c --mode=tex -x
+
+#XXX: Make me dynamic
+VIEWPDF = evince
+VIEWPS = gv -geometry +700+0
+.SUFFIXES: .pdf .ps
+
+PAGE ?= 1
+
+help:
+	@echo "Usage Makefile <option>"
+
+doc-all: doc-distclean buildpdf
+
+view: viewpdf
+
+viewps: buildps
+	$(VIEWPS) -page=$(PAGE) $(TARGET).ps
+
+buildps: $(SOURCE) $(TARGET).dvi
+	dvips $(TARGET).dvi
+
+viewdvi: builddvi
+	$(XDVI) $(TARGET) +$(PAGE)
+
+builddvi: $(SOURCE) $(TARGET).dvi
+
+doc-clean:
+	rm -vf *.aux *.log *toc *.out *.bak *.m.tex
+
+doc-distclean: doc-clean
+	rm -vf $(TARGET).dvi $(TARGET).pdf $(PROGRAM)
+
+buildpdf: $(SOURCE) $(TARGET).pdf
+
+viewpdf: buildpdf
+	$(VIEWPDF) -p $(PAGE) $(TARGET).pdf
+
+spell: spell-en
+
+spell-nl: $(TARGET).tex
+	$(ASPELL) -l nl -p ~/aspell-n.dic $(ASPELL_ARGS) $<
+
+spell-en: $(TARGET).tex
+	$(ASPELL) -l en -p ~/aspell-en.dic $(ASPELL_ARGS) $<
+
+#.dvi.pdf:
+#	$(DVIPDF) $? $@
+
+.tex.pdf:
+	pdflatex -halt-on-error $?
+	pdflatex -halt-on-error $?
+
+.tex.dvi:
+	$(TEX) $? $@
+	$(TEX) $? $@
+
+.gs.png:
+	$(GNUPLOT) $?
+
+%.m.tex: %.m
+	highlight --include-style --linenumbers --no-doc \
+	  --latex --input $< --output $@
Index: /liacs/TPFL2010/assignment3/report.tex
===================================================================
--- /liacs/TPFL2010/assignment3/report.tex	(revision 242)
+++ /liacs/TPFL2010/assignment3/report.tex	(revision 242)
@@ -0,0 +1,67 @@
+%
+% $Id: report.tex 571 2008-04-20 17:31:04Z rick $
+%
+
+\documentclass[12pt,a4paper]{article}
+
+\frenchspacing
+\usepackage[english,dutch]{babel}
+\selectlanguage{dutch}
+\usepackage[pdftex]{graphicx}
+\usepackage{url}
+\usepackage{amssymb,amsmath}
+\usepackage{float}
+\usepackage{tikz}
+\usepackage{fixltx2e}
+
+\usetikzlibrary{arrows,decorations.pathmorphing,backgrounds,positioning,fit,petri}
+
+
+
+\setlength\parindent{0pt}
+\setlength\parskip{\baselineskip}
+\floatstyle{ruled}
+\newfloat{algoritm}{thp}{lop}
+\floatname{algoritm}{Algoritme}
+
+\title{Opdracht 3 \\
+\large{Topics on Parsing and Formal Languages - fall 2010}}
+\author{Rick van der Zwet\\
+  \texttt{<hvdzwet@liacs.nl>}}
+\date{\today}
+
+
+\begin{document}
+\newcommand{\DFA}{\emph{DFA}~}
+\newcommand{\qed}{\hfill \ensuremath{\Box}}
+\newcommand{\all}{\Sigma^*}
+\maketitle
+\begin{abstract}
+Dit schrijven zal uitwerkingen van opgaven behandelen uit het boek
+\cite{JS2009} gebruikt bij het college. In deze opdracht zullen vijf opgaven
+(1, 5, 6, 8, 14) van hoofdstuk 5 behandeld worden. De opgaven zijn
+willekeurig gekozen met behulp van een kans generator, het kan dus zijn dat
+niet alle onderwerpen van hoofdstuk 4 behandeld worden.
+\end{abstract}
+
+\section{Opgave 5.1}
+
+
+\section{Opgave 5.5}
+
+
+\section{Opgave 5.6}
+
+
+\section{Opgave 5.8}
+
+
+\section{Opgave 5.14}
+
+
+\begin{thebibliography}{1}
+\bibitem[JS2009]{JS2009}Jeffrey Shallit, \emph{A second course in formal
+languages and automata theory }, \emph{Cambridge University Press}, 2009.
+\end{thebibliography}
+\newpage
+\end{document}
